Crux: BRE/WFE - Task #17949

doMatch(): simplify data structures, integrate a cache
16/02/2024 04:29 PM - Shuvam Misra

Status: Closed Start date: 16/02/2024
Priority: Normal Due date: 29/02/2024
Assignee: Abhishek Jayswal (Tantiv4) % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Sprint 15 Mar

Description

Modify doMatch() to use the newer data structures (where arrays of structs each with two fields have been replaced with hashmaps).
Make doMatch() work with a cache where

e all rulesets and schemas of one slice are loaded at a time
¢ all internal references from one ruleset to another are done through pointers from one struct to another

Associated revisions

Revision bcd9a0dc - 21/02/2024 05:49 PM - Abhishek Jayswal (Tantiv4)
Task #17949 Added test case of the ruleset

Revision a7¢89896 - 08/03/2024 01:52 PM - Abhishek Jayswal (Tantiv4)

refs redmine #17949, GetStats Implementation

Revision 5f54b0d5 - 09/03/2024 01:15 PM - Abhishek Jayswal (Tantiv4)

refs redmine #17949, fix for the EnumVals map[string]struct{}

Revision bede8b7e - 11/03/2024 10:39 PM - Abhishek Jayswal (Tantiv4)

refs redmine #17949, Modified:Correction in do_match function

Revision 92db0fad - 19/03/2024 08:15 PM - Abhishek Jayswal (Tantiv4)
refs redmine #17949, Modified: Schema from []*

Revision d7596303 - 24/03/2024 07:19 PM - Abhishek Jayswal (Tantiv4)
refs redmine #17949 Do_Match MatchPattern Api correction

Revision 48460e56 - 27/03/2024 02:40 PM - Sachin Divekar
Merge pull request 150 refs #17949

Revision 86c2edd8 - 27/03/2024 02:41 PM - Sachin Divekar

Merge branch 'abjayswal-wsc' into wsc to merge pull request 150 refs #17949

History

#1 - 16/02/2024 04:33 PM - Shuvam Misra
- Due date set to 29/02/2024

#2 - 16/02/2024 04:40 PM - Shuvam Misra
- Assignee set to Abhishek Jayswal (Tantiv4)

#3 - 17/02/2024 06:17 PM - Shuvam Misra

- Status changed from New to In Progress

#4 - 20/02/2024 10:04 PM - Abhishek Jayswal (Tantiv4)

Schema testcase pushed to github commit-id 035eba3
#5 - 21/02/2024 05:56 PM - Abhishek Jayswal (Tantiv4)
- Estimated time set to 8.00 h
- % Done changed from 0 to 60

#6 - 28/02/2024 11:36 AM - Abhishek Jayswal (Tantiv4)

Cache Data Integration with Do_Match() completed. working on unit test cases.

#7 - 29/02/2024 10:41 PM - Abhishek Jayswal (Tantiv4)

do_match unit test case development is under progress

#8 - 02/03/2024 11:28 PM - Abhishek Jayswal (Tantiv4)
- % Done changed from 60 to 80

With the new data struct able to pass the basic ,exit and return unit test case. This test case verify the core functionality of the Do_Match function.

#9 - 04/03/2024 10:59 PM - Abhishek Jayswal (Tantiv4)
- % Done changed from 80 to 90

Test case match pattern, verify data & collect action is completed.
Pending BRE and WF test cases.

#10 - 05/03/2024 10:56 PM - Abhishek Jayswal (Tantiv4)

all the test case are reworked, working on four test case which is getting failed.
some changes need to be done in ThenCall and ElseCall functionality

commint ID e633d07
#11 - 06/03/2024 11:14 PM - Abhishek Jayswal (Tantiv4)

- % Done changed from 90 to 100
- File Screenshot from 2024-03-06 23-08-12.png added

All the unit test cases are passed. attached the screen shot for same.
commit id# https://github.com/abjayswal/crux/commit/dd5d152{696734dc20e7fe8ad4ala707a43d0af27

#12 - 08/03/2024 02:02 PM - Abhishek Jayswal (Tantiv4)

Changes submitted for stats implementation, commit#a7c8989

#13 - 08/03/2024 05:30 PM - Shuvam Misra
- Target version changed from Sprint 29 Feb to Sprint 15 Mar

#14 - 19/03/2024 03:28 PM - Shuvam Misra

If this has been in 100% completed state for 13 days, Sachin, can you please close this?

#15 - 19/03/2024 03:29 PM - Shuvam Misra

Abhishek, whenever one of your tasks reaches 100% completion state, and you feel that there's nothing more for you to do, only Sachin needs to
test, then please set the status to "testing".

#16 - 20/03/2024 03:25 PM - Shuvam Misra

Abhishek and Sachin, please close this task today, or change the percentage done from 100% to, say, 90%. The percentage was set to 100% 14
days ago.

#17 - 21/03/2024 08:39 PM - Abhishek Jayswal (Tantiv4)
- % Done changed from 100 to 90

#18 - 24/03/2024 07:28 PM - Abhishek Jayswal (Tantiv4)

- Status changed from In Progress to Testing
https://github.com/abjayswal/crux/commit/dd5d152f696734dc20e7fe8a4a0a707a43d0af27

matching pattern have issue, when the external caller pass the ruleset to match say "mrp":

"50.80", This value during matchpatten expect it as

float but since in json it is as string. Wrote a rapper convertTermAttrVal() which will convert the json value into the expected datatypes then pass to

makeComparison()

Moving status to testing.

#19 - 26/03/2024 07:23 PM - Shuvam Misra
- % Done changed from 90 to 100

#20 - 26/03/2024 07:24 PM - Shuvam Misra

- Status changed from Testing to Closed

Files
